window previews broken in dockbarx with compiz 0.9.2

Reported by Rocko on 2010-12-20
80
This bug affects 16 people
Affects Status Importance Assigned to Milestone
DockbarX
Undecided
Matias Särs
compiz (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: compiz

dockbarx's window previews don't work with compiz 0.9.2 (either with Natty's compiz package or when manually compiled in Maverick). They work fine with compiz 0.8. I'm running Natty in a VirtualBox session so of course this is running under the Gnome desktop, not the unity desktop.

Note that dockbarx shows "two" window previews in Natty: the standard preview is a horizontal list of windows, and there is an additional preview of the current window that is superimposed over the list. The additional preview works but not the list (see attached).

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: compiz 1:0.9.2.1+glibmainloop3-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.37-10.24-generic 2.6.37-rc6
Uname: Linux 2.6.37-10-generic i686
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/allscreens/options/active_plugins'
Date: Mon Dec 20 09:48:04 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha i386 (20100602.2)
Lsusb:
 Bus 002 Device 004: ID 80ee:0021
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: innotek GmbH VirtualBox
PackageArchitecture: all
PciDisplay: 00:02.0 VGA compatible controller [0300]: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller])
ProcEnviron:
 LANGUAGE=en_AU:en
 LANG=en_AU.UTF-8
 LC_MESSAGES=en_AU.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-10-generic root=UUID=c7586c69-5914-406e-ab3d-a671796fed2d ro vt.handoff=7 quiet splash
RelatedPackageVersions:
 xserver-xorg 1:7.5+6ubuntu3b1
 libgl1-mesa-glx 7.9+repack-1ubuntu3
 libdrm2 2.4.22-2ubuntu1
 xserver-xorg-video-intel 2:2.13.901-2ubuntu2
 xserver-xorg-video-ati 1:6.13.2-1ubuntu2
SourcePackage: compiz
XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
dmi.bios.date: 12/01/2006
dmi.bios.vendor: innotek GmbH
dmi.bios.version: VirtualBox
dmi.modalias: dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:
dmi.product.name: VirtualBox
dmi.product.version: 1.2
dmi.sys.vendor: innotek GmbH
system: distro = Ubuntu, architecture = i686, kernel = 2.6.37-10-generic

Rocko (rockorequin) wrote :
tags: added: compiz-0.9
Rocko (rockorequin) wrote :

I still see this in dockbar 0.42.1-0-ppa0 and compiz 1:0.9.2.1+glibmainloop4-0ubuntu5. Running dockbarx-factory.py run-in-window doesn't give any debugging output.

fwiw, opacify doesn't work either.

Have you got the kdecompat plugin enabled?

On Fri, Jan 28, 2011 at 9:52 AM, Rocko <email address hidden> wrote:
> I still see this in dockbar 0.42.1-0-ppa0 and compiz
> 1:0.9.2.1+glibmainloop4-0ubuntu5. Running dockbarx-factory.py run-in-
> window doesn't give any debugging output.
>
> fwiw, opacify doesn't work either.
>
> ** Also affects: dockbar
>   Importance: Undecided
>       Status: New
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in ubuntu.
> https://bugs.launchpad.net/bugs/692395
>
> Title:
>  window previews broken in dockbarx with compiz 0.9.2
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

Rocko (rockorequin) wrote :

Yes, and Support Plasma Thumbnails/Windows/Blur Effect are all enabled.

Looking more closely at the image I get with the current versions of software, it looks like there is actually a preview displayed but it is very, very dark. Is this something that can be tweaked?

Sam Spilsbury (smspillaz) wrote :

On Fri, Jan 28, 2011 at 1:13 PM, Rocko <email address hidden> wrote:
> Yes, and Support Plasma Thumbnails/Windows/Blur Effect are all enabled.
>
> Looking more closely at the image I get with the current versions of
> software, it looks like there is actually a preview displayed but it is
> very, very dark. Is this something that can be tweaked?

I have not used dockbarx, but maybe it is painting an overlay on top
of the window, which is too dark. I'll have a look into it.
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in ubuntu.
> https://bugs.launchpad.net/bugs/692395
>
> Title:
>  window previews broken in dockbarx with compiz 0.9.2
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

Matias Särs (msevens) wrote :

In compiz 0.9.2 the popup is painted over the window preview, yes. In compiz 0.8 it was painted below. In what way am I supposed to change the code to make sure the popups are painted below and on top of the preview?

Changed in dockbar:
status: New → Confirmed
assignee: nobody → Matias Särs (msevens)
Sam Spilsbury (smspillaz) wrote :

2011/1/31 Matias Särs <email address hidden>:
> In compiz 0.9.2 the popup is painted over the window preview, yes. In
> compiz 0.8 it was painted below. In what way am I supposed to change the
> code to make sure the popups are painted below and on top of the
> preview?

It should be painted below. This is a bug and I will look into it when
I get some time

>
> ** Changed in: dockbar
>       Status: New => Confirmed
>
> ** Changed in: dockbar
>     Assignee: (unassigned) => Matias Särs (msevens)
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in ubuntu.
> https://bugs.launchpad.net/bugs/692395
>
> Title:
>  window previews broken in dockbarx with compiz 0.9.2
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

Matias Särs (msevens) wrote :

Bug #706779 might be related to this one.

Rocko (rockorequin) wrote :

It's still a problem in compiz 0.9.4. Or is the problem in dockbarx?

Rocko (rockorequin) on 2011-03-26
Changed in compiz (Ubuntu):
status: New → Confirmed
Rocko (rockorequin) wrote :

Is there a chance this could be fixed before 11.04 is released? I would say it is even more important now that 11.04 might be using the "classic" desktop.

Sam Spilsbury (smspillaz) wrote :

11.04 is not using the classic desktop and this is not a current
priority for us, sorry.

On Fri, Apr 8, 2011 at 8:34 AM, Rocko <email address hidden> wrote:
> Is there a chance this could be fixed before 11.04 is released? I would
> say it is even more important now that 11.04 might be using the
> "classic" desktop.
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in Ubuntu.
> https://bugs.launchpad.net/bugs/692395
>
> Title:
>  window previews broken in dockbarx with compiz 0.9.2
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

Matias Särs (msevens) wrote :

I'm a bit concerned since this might take most of the momentum that DockbarX has built up during ubuntu's last release cycle. Unity is really good and if the upgrade to natty introduces a bug that cripples many people's favorite feature of DockbarX at the same time that Unity is released... I fear a massive decrease in DockbarX user base. Which is sad because I still have a lot of features I like to implement in DockbarX but I need a user base (read: beta testers, bug reporters and kind people who motivate me) to do that.

Is there anything I can do to help with fixing this bug? I suck at writing C (or pretty much any language that isn't python) but at least I can read the code if someone tells me where to look.

Rocko (rockorequin) wrote :

I just discovered that I can't run Natty in 'classic' mode if I have the KDE compatiblity plugin enabled because compiz repeatedly crashes during initialisation! But doesn't dockbarx need this for window previews anyway?

Alin Andrei (nilarimogard) wrote :

@Matis: GNOME Shell users still need a dock. But it uses Clutter instead of Compiz... so I guess Shell users won't be able to use the window previews feature, right

Matias Särs (msevens) wrote :

That's correct.

doug cahlpro (dougcahl) wrote :

You can set the "Window list background" color to 100% transparent and then set the "Normal text" color to black, then it works.

AZorin (azorin) wrote :

@Matias
At the moment while this is still broken I would recommend you can add the option to use either the Compiz KDE window previews (like in the current versions of DBX) or the static window previews that were in the older versions of DBX (before the Compiz KDE window previews were brought in).

Matias Särs (msevens) on 2011-09-25
Changed in dockbar:
status: Confirmed → Fix Committed
Matias Särs (msevens) wrote :

Ok, since this bug is a low priority on Compiz side I made a workaround for DockbarX. The part of the popup where the preview should be made transparent.

Also there's another bug connected to this one. The size of the preview isn't correct. It seems that compiz uses window sizes without decorations instead of window sizes with decorations somewhere in its calculations because if window decorations with thin frames on left and right side is used, the error in height is twice height of the decoration. In other words I use this formula to compensate for it in DockbarX:
preview_height = preview_height - preview_height * 2 * (window_height - client_window_height) / window_height

Thank you for reporting this bug to Ubuntu. 11.04 reached EOL.
See this document for currently supported Ubuntu releases: https://wiki.ubuntu.com/Releases

Please upgrade to the latest version and re-test. If the bug is still reproducible, increase the verbosity of the steps to recreate it so we can try again.

Do feel free to report any other bugs you may find.

Changed in compiz (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers